"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Loading = void 0;
var react_1 = __importDefault(require("react"));
var lottie_1 = __importDefault(require("primeobjects-ui-web-basic/build/cjs/controls/lottie"));
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
var FIELD_NAME = "Loading";
var LoadingInternal = function (props) {
    var _a, _b, _c, _d, _e;
    var loadingMessage = (_a = props.loadingMessage) !== null && _a !== void 0 ? _a : "Loading ...";
    return (react_1.default.createElement("div", { className: "w-full flex flex-row items-center ".concat((_b = props.wrapperStyle) !== null && _b !== void 0 ? _b : ""), style: (_c = props.wrapperStyle) !== null && _c !== void 0 ? _c : {} },
        react_1.default.createElement("div", { className: "h-6" },
            react_1.default.createElement(lottie_1.default, { id: props.id, className: "w-full h-full", url: "/icons/platform/lottie/dots-2.json", colors: Array(6).fill(props.color ? props.color[600] : primeobjects_helper_util_1.GRAY["600"]) })),
        react_1.default.createElement("div", { className: "flex-1 text-sm text-".concat((_e = (_d = props.color) === null || _d === void 0 ? void 0 : _d.name) !== null && _e !== void 0 ? _e : "gray", "-600 p-2") }, loadingMessage)));
};
LoadingInternal.displayName = FIELD_NAME;
exports.Loading = react_1.default.memo(LoadingInternal);
exports.default = exports.Loading;
//# sourceMappingURL=loading.js.map