export declare function useServerSentEvents<QueryParams extends Record<any, any>>({ baseUrl, config, onData, onOpen, onClose, onError }: {
    baseUrl: string;
    config?: EventSourceInit | undefined;
    onData: (data: string) => void;
    onOpen: (event: Event) => void;
    onClose: () => void;
    onError: (event: Event) => void;
}): {
    openStream: ({ query }: {
        query: QueryParams;
    }) => EventSource;
    closeStream: (evtSource: EventSource) => void;
};
