"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertHtmlToText = void 0;
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
var convertHtmlToText = function (content, id) {
    var win = (0, primeobjects_helper_util_1.getWindow)();
    if (!win.convertHtmlToText) {
        win.convertHtmlToText = {};
    }
    var divId = id !== null && id !== void 0 ? id : "default";
    var div = win.convertHtmlToText[divId];
    if (!div) {
        div = document.createElement("div");
        win.convertHtmlToText[divId] = div;
    }
    div.innerHTML = content;
    return div.innerText
        .replace(new RegExp("\n", "g"), " ")
        .replace(new RegExp("( ){2,}", "g"), " ")
        .trim();
};
exports.convertHtmlToText = convertHtmlToText;
//# sourceMappingURL=other.js.map