//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
import React from "react";
import { map } from "lodash";
import HeaderMenuTitle from "./menu-title";
import { isNonEmptyString } from "primeobjects-helper-util";
export var HeadMenuDesktopView = function (props) {
    var navigation = props.navigation, color = props.color;
    return (React.createElement(React.Fragment, null, map(navigation, function (menu, idx) {
        return (React.createElement(HeaderMenuTitle, { key: idx, title: menu.title, href: menu.href, maxWidth: menu.maxWidth, sections: menu.sections, colorName: isNonEmptyString(menu.colorName)
                ? menu.colorName
                : color.name, popoverPanelStyle: props.menuTitlePopoverPanelStyle, popoverPanelClassName: props.menuTitlePopoverPanelClassName }));
    })));
};
export default HeadMenuDesktopView;
//# sourceMappingURL=menu-desktop.js.map