import React, { CSSProperties } from "react";
import { TColor } from "primeobjects-helper-util";
export type TLoadingProps = {
    id?: string;
    color?: TColor;
    wrapperStyle?: CSSProperties;
    wrapperClassName?: string;
    loadingMessage?: string;
};
export declare const Loading: React.MemoExoticComponent<{
    (props: TLoadingProps): JSX.Element;
    displayName: string;
}>;
export default Loading;
