import { getWindow } from "primeobjects-helper-util";
export var convertHtmlToText = function (content, id) {
    var win = getWindow();
    if (!win.convertHtmlToText) {
        win.convertHtmlToText = {};
    }
    var divId = id !== null && id !== void 0 ? id : "default";
    var div = win.convertHtmlToText[divId];
    if (!div) {
        div = document.createElement("div");
        win.convertHtmlToText[divId] = div;
    }
    div.innerHTML = content;
    return div.innerText
        .replace(new RegExp("\n", "g"), " ")
        .replace(new RegExp("( ){2,}", "g"), " ")
        .trim();
};
//# sourceMappingURL=other.js.map